Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.runtime
Interface JMSMessageManagementRuntimeMBean

All Superinterfaces:
  CursorRuntimeMBean, DynamicMBean, JMSMessageCursorRuntimeMBean, MBeanRegistration, MessageCursorRuntimeMBean, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, WebLogicMBean

All Known Subinterfaces:
  JMSDestinationRuntimeMBean, JMSDurableSubscriberRuntimeMBean

public interface JMSMessageManagementRuntimeMBean
extends JMSMessageCursorRuntimeMBean

This interface defines the common management functionality for both Queues and Topics

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  9.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Integer` | `deleteMessages(String selector)` Deletes the set of messages from the destination that are qualified by the specified JMS message selector.
`CompositeData` | `getMessage(String messageID)` Given a JMS message ID this method returns the corresponding message from the queue.
`String` | `getMessages(String selector, Integer timeout)` Queries messages on the queue according to the provided message selector and returns a message cursor representing the result set.
`String` | `getMessages(String selector, Integer timeout, Integer state)` Queries messages on the queue according to the provided message selector and state bitmask and returns a message cursor representing the result set.
`Long` | `getMessagesDeletedCurrentCount()` Returns the number of messages that have been deleted from the destination.
`Long` | `getMessagesMovedCurrentCount()` Returns the number of messages that have been moved from the destination.
`Void` | `importMessages(CompositeData[] messages, Boolean replaceOnly)` Imports an array of messages into the destination.
`Integer` | `moveMessages(String selector, CompositeData targetDestination)` Moves the set of messages that match the specified selector to the target destination.
`Integer` | `moveMessages(String selector, CompositeData targetDestination, Integer timeout)`

Methods inherited from interface weblogic.management.runtime.JMSMessageCursorRuntimeMBean
`sort`

Methods inherited from interface weblogic.management.runtime.MessageCursorRuntimeMBean
`getMessage, getMessage`

Methods inherited from interface weblogic.management.runtime.CursorRuntimeMBean
`closeCursor, getCursorEndPosition, getCursorSize, getCursorStartPosition, getItems, getNext, getPrevious`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### deleteMessages

    public Integer deleteMessages(String selector)
                           throws ManagementException

  Deletes the set of messages from the destination that are qualified by the specified JMS message selector.

  Parameters:
    `selector` - A JMS message selector to identify which messages to delete.
  Returns:
    The number of messages affected.
  Throws:
    `ManagementException` - Thrown if an error occurs will processing the request. The selected messages will remain on the source destination.

### getMessage

    public CompositeData getMessage(String messageID)
                             throws ManagementException

  Given a JMS message ID this method returns the corresponding message from the queue. If no message with the specified message ID exists on the destination, a null value is returned.

  Parameters:
    `messageID` - The JMS message ID of the requested message.
  Returns:
    The message corresponding to the specified message ID or null if one does not exist.
  Throws:
    `ManagementException` - Thrown when an error occurs while performing the query.

### getMessages

    public String getMessages(String selector,
                              Integer timeout)
                       throws ManagementException

  Queries messages on the queue according to the provided message selector and returns a message cursor representing the result set. The timeout parameter specifies the amount of time in seconds for which the cursor is valid. Upon timeout expiration the cursor is invalidated and the associated resources released.

  Parameters:
    `selector` - A valid JMS message selector.
    `timeout` - The last access timeout for the cursor. The cursor resources will be reclaimed if it is not accessed within the specified time interval. A value of 0 indicates no timeout.
  Throws:
    `ManagementException` - Thrown when the provided message selector contains invalid syntax, or when an internal error is encountered.
  See Also:
    `JMSMessageCursorRuntimeMBean`

### getMessages

    public String getMessages(String selector,
                              Integer timeout,
                              Integer state)
                       throws ManagementException

  Queries messages on the queue according to the provided message selector and state bitmask and returns a message cursor representing the result set. The timeout parameter specifies the amount of time in seconds for which the cursor is valid. Upon timeout expiration the cursor is invalidated and the associated resources released.

  Parameters:
    `selector` - A valid JMS message selector.
    `timeout` - The last access timeout for the cursor. The cursor resources will be reclaimed if it is not accessed within the specified time interval. A value of 0 indicates no timeout.
    `state` - A messaging kernel state bitmask. Refer to the messaging kernel MessageElement interface for a description of the various message states.
  Throws:
    `ManagementException` - Thrown when the provided message selector contains invalid syntax, or when an internal error is encountered.
  See Also:
    `JMSMessageCursorRuntimeMBean`

### getMessagesDeletedCurrentCount

    public Long getMessagesDeletedCurrentCount()

  Returns the number of messages that have been deleted from the destination.

  See Also:
    `deleteMessages(String)`

### getMessagesMovedCurrentCount

    public Long getMessagesMovedCurrentCount()

  Returns the number of messages that have been moved from the destination.

### importMessages

    public Void importMessages(CompositeData[] messages,
                               Boolean replaceOnly)
                        throws ManagementException

  Imports an array of messages into the destination. If the message ID of the message being imported matches a message already on the destination, then the existing message will be replaced. If an existing message does not exist, then the message will be produced on the destination. A produced message is subject to quota limitations.

  Parameters:
    `messages` - An array of messages in CompositeData representation to be imported.
    `replaceOnly` - When set to true an excetion will be thrown if the message ID does not exist on the target destination.
  Throws:
    `ManagementException` - Thrown if an error occurs will processing the request. The selected messages will remain on the source destination.

### moveMessages

    public Integer moveMessages(String selector,
                                CompositeData targetDestination)
                         throws ManagementException

  Moves the set of messages that match the specified selector to the target destination. The move operation is guaranteed to be atomic for the selected messages.

  Parameters:
    `selector` - A JMS message selector that identifies the messages to move.
    `targetDestination` - A JMS destination that the messages will be moved to.
  Returns:
    The number of messages affected.
  Throws:
    `ManagementException` - Thrown if an error occurs will processing the request. The selected messages will remain on the source destination.

### moveMessages

    public Integer moveMessages(String selector,
                                CompositeData targetDestination,
                                Integer timeout)
                         throws ManagementException

  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD